Learn about Centmin Mod LEMP Stack today
Become a Member

Security Red Hat Enterprise Developer Toolset Version 3.x Retirement Notice

Discussion in 'CentOS, Redhat & Oracle Linux News' started by bassie, Nov 4, 2016.

  1. bassie

    bassie Active Member

    535
    116
    43
    Apr 29, 2016
    Ratings:
    +348
    Local Time:
    8:17 PM
    @eva2000 As Centminmod uses CentOS/Red Hat Developer Toolset Version 3.x. (devtoolset-3 GCC 4.9 et al),
    please upgrade to the latest Red Hat Developer Toolset Version.

    Thanks.

    "This is the final notification for the retirement of Red Hat Developer Toolset
    Version 3.x. This notification applies only to those customers subscribed to the
    channel for Red Hat Developer Toolset Version 3.x.

    We encourage customers using Red Hat Enterprise Developer Toolset Version 3.x to
    migrate to a more recent release of Red Hat Developer Toolset. As a benefit of
    the Red Hat subscription model, customers can use their active Red Hat Developer
    Toolset subscriptions to entitle any system on a currently supported version of
    this product."
     
    • Like Like x 1
  2. eva2000

    eva2000 Administrator Staff Member

    30,156
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    4:17 AM
    Nginx 1.13.x
    MariaDB 5.5
    where did this info come from ? source ? as there's a variety of devtoolset-3 sources as i use the one from Fedora COPR
     
  3. eva2000

    eva2000 Administrator Staff Member

    30,156
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    4:17 AM
    Nginx 1.13.x
    MariaDB 5.5
    seems i found 2 sources
    seems doesn't apply to Centmin Mod Fedora COPR devtoolset-3 only to Redhat subscriptions
    but looks like I should be looking at devtoolset-4 Red Hat Developer Toolset Product Life Cycle - Red Hat Customer Portal which has GCC 5.3 instead of GCC 4.9
     
    Last edited: Nov 4, 2016
  4. bassie

    bassie Active Member

    535
    116
    43
    Apr 29, 2016
    Ratings:
    +348
    Local Time:
    8:17 PM
    I thought you were using the Centos sclo which of course is a copy of Redhat's product.
    What is th hyper-link to Fedora COPR?
    Thanks.
     
  5. eva2000

    eva2000 Administrator Staff Member

    30,156
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    4:17 AM
    Nginx 1.13.x
    MariaDB 5.5
  6. eva2000

    eva2000 Administrator Staff Member

    30,156
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    4:17 AM
    Nginx 1.13.x
    MariaDB 5.5
  7. bassie

    bassie Active Member

    535
    116
    43
    Apr 29, 2016
    Ratings:
    +348
    Local Time:
    8:17 PM
    Hmm Copr is the build server for Redhat employees and other enthusiasts.
    It seems like you have used an unofficial build from their repo.

    Files matched, it is the devtoolset-3-gcc packages from Red Hat Developer
    Toolset 3.0 for Red Hat Enterprise Linux.

    Red Hat Customer Portal
     
  8. eva2000

    eva2000 Administrator Staff Member

    30,156
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    4:17 AM
    Nginx 1.13.x
    MariaDB 5.5
    yes on purpose as official didn't work for me - couldn't download/hung :)
     
  9. bassie

    bassie Active Member

    535
    116
    43
    Apr 29, 2016
    Ratings:
    +348
    Local Time:
    8:17 PM
    Ok so official build or not. :)
    Red Hat Enterprise Developer Toolset Version 3.x is retired.
    devtoolset-4 will be nice ;)
     
  10. eva2000

    eva2000 Administrator Staff Member

    30,156
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    4:17 AM
    Nginx 1.13.x
    MariaDB 5.5
    yeah just manually tested and official devtoolset-4 seems to work now at least on centos 7 need to test centos 6 too and work it into centmin mod :D
     
  11. bassie

    bassie Active Member

    535
    116
    43
    Apr 29, 2016
    Ratings:
    +348
    Local Time:
    8:17 PM
    Nice, great job
     
  12. eva2000

    eva2000 Administrator Staff Member

    30,156
    6,785
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,136
    Local Time:
    4:17 AM
    Nginx 1.13.x
    MariaDB 5.5
    added Beta Branch - devtoolset-3 switch to devtoolset-4 in 123.09beta01 | Centmin Mod Community just need to do some testing :)

    persistent config file /etc/centminmod/custom_config.inc set with to enable devtoolset-4's GCC 5.2.1 on centos 7 instead of centos 7 default GCC 4.8.5 or devtoolset-3 GCC 4.9.2
    Code (Text):
    CLANG='n'
    NGINX_DEVTOOLSETGCC='y'
    GENERAL_DEVTOOLSETGCC='y'